Skip to main content
GET
/
payment
/
open
/
institution
/
v1
/
pay
/
balance
查询可用币种余额
curl --request GET \
  --url https://openplatform.gateapi.io/payment/open/institution/v1/pay/balance \
  --header 'X-GatePay-Certificate-ClientId: <x-gatepay-certificate-clientid>' \
  --header 'X-GatePay-Nonce: <x-gatepay-nonce>' \
  --header 'X-GatePay-On-Behalf-Of: <x-gatepay-on-behalf-of>' \
  --header 'X-GatePay-Signature: <x-gatepay-signature>' \
  --header 'X-GatePay-Timestamp: <x-gatepay-timestamp>'
{
  "status": "SUCCESS",
  "code": "000000",
  "errorMessage": "",
  "data": {
    "ADA": "313.99963295",
    "ALGO": "0",
    "APT": "0",
    "ARB": "0",
    "ATOM": "0",
    "AVAX": "0",
    "BCH": "0"
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.gate.com/llms.txt

Use this file to discover all available pages before exploring further.

概述

本页说明 GET /payment/open/institution/v1/pay/balance 接口。完整的请求参数、响应结构与示例由上方关联的 OpenAPI 定义渲染。

说明

  • 认证方式使用 GatePay 标准签名请求头。
  • 本页展示同一接口的机构路径版本。
  • 除创建子账户、查询子账户详情、分页查询子账户外,机构侧请求需携带 X-GatePay-On-Behalf-Of
  • 通用签名规则请参见 /api-reference/version/100/cn/common/securityAndSignature

Headers

X-GatePay-Certificate-ClientId
string
required

商户客户端ID

Example:

"mZ96D37oKk-HrWJc"

X-GatePay-Signature
string
required

签名

Example:

"b8c4705ff4c1357f2a27925dd180c1e1f4a244148f312a2dee5afbcc6f4b150e9ffceee455c5a298f895d43a64ee829eebdfd262539d45c41f7aee4336fd8c8c"

X-GatePay-Timestamp
string
required

时间戳(毫秒)

Example:

"1738934053475"

X-GatePay-Nonce
string
required

随机数

Example:

"5417061546"

X-GatePay-On-Behalf-Of
string
required

必填代理归属请求头。请填写本次请求的发起方账户 ID;在机构代理商户 API 中通常填写目标子账户 ID,在机构代扣与划转接口中可填写机构账户 ID 或子账户 ID。

Response

200 - application/json

查询成功

status
string

响应状态

Example:

"SUCCESS"

code
string

响应码

Example:

"000000"

errorMessage
string

错误信息

Example:

""

data
object

币种余额键值对,key 为币种名称,value 为余额字符串

Example:
{
"ADA": "313.99963295",
"ALGO": "0",
"APT": "0",
"USDT": "1000.50"
}